For the complete documentation index, see llms.txt. This page is also available as Markdown.

Dashboard Aggregates

Get recent deployment statistics

post

RecentDeployments returns aggregate statistics of recent deployments.

Body

RecentDeploymentQuery

accountIdentifierstringRequired

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

applicationNamestringOptional
startTimeinteger · int32Optional
endTimeinteger · int32Optional
searchTermstringOptional
agentIdentifierstringOptional
serviceRefstringOptional
envRefstringOptional
Responses
200

A successful response.

application/json
pageItemCountinteger · int32Optional
emptybooleanOptional
post/api/v1/dashboard/activity
POST /api/v1/dashboard/activity HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 253

{
  "accountIdentifier": "text",
  "projectIdentifier": "text",
  "orgIdentifier": "text",
  "operationPhase": [
    "OPERATION_PHASE_UNSET"
  ],
  "applicationName": "text",
  "startTime": 1,
  "endTime": 1,
  "searchTerm": "text",
  "agentIdentifier": "text",
  "serviceRef": "text",
  "envRef": "text"
}
{
  "content": [
    {
      "startedAt": "text",
      "rollback": 1,
      "deploy": 1,
      "redeploy": 1,
      "succeeded": 1,
      "error": 1,
      "terminating": 1,
      "failed": 1,
      "running": 1,
      "totalDeployments": 1,
      "failureRate": 1
    }
  ],
  "pageItemCount": 1,
  "empty": true
}

List top 5 most deployed apps

get

TopApplicationPhaseStats lists phase status counts for the top 5 most deployed applications.

Query parameters
projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

accountIdentifierstringOptional

Account Identifier for the Entity.

endTimeinteger · int32Optional
startTimeinteger · int32Optional
limitinteger · int32Optional
Responses
200

A successful response.

application/json
emptybooleanOptional
get/api/v1/dashboard/topapps
GET /api/v1/dashboard/topapps HTTP/1.1
Accept: */*
{
  "content": [
    {
      "applicationName": "text",
      "totalDeployments": 1,
      "deploymentRate": 1,
      "succeeded": 1,
      "failed": 1,
      "agentIdentifier": "text"
    }
  ],
  "empty": true
}

Last updated

Was this helpful?